# Linux WS20/21

[![Build Status](https://drone.cryptic.systems/api/badges/fh-trier/linux_ws2021/status.svg)](https://drone.cryptic.systems/fh-trier/linux_ws2021)

This repository contains the latex source code of the module *Linux /
Betriebssysteme* of the University of Applied Science for the winter semester
21/22.

The document contains tasks which students should could solve before they write
their exam.

## Compiling the PDF document

There are two ways to compile the PDF document. Via a local installed latex
environment which must be fullfil the dependencies or via a container image wich
has all dependencies included (it is probably easier to use a container image to
compile the document).

To do this, install `docker` or `podman` as container runtime and `make` as
build tool. If you have `docker` or `podman` and `make` installed execute `make
container-run/latexmk/index.pdf` to compile the PDF document by using a
container image.

If you don't want to install a container runtime and the build tool `make`, you
have to install texlive manually - [installation
instructions](https://www.tug.org/texlive/).

## make commands

### container-run/latexmk

Uses a container image to compile the PDF document with `latexmk`. By default
the docker container `volkerraschek/latex:latest-archlinux` is used. However, it
can also be modified. The Makefile contains the variables with the prefix
`BUILD_IMAGE` to change the full qualified image name.

```bash
make container-run/latexmk/index.pdf
```

### latexmk

Executes latexmk natively in the system environment.

```bash
make latexmk/index.pdf
```
